#ifndef BAYOMETRICPROXY_H
#define BAYOMETRICPROXY_H


#include <string>
#include <vector>

using namespace std;

typedef struct BFSResponseBase
{
	int ResponseCode;
	string ReturnMessage;

}BFSReponseBase;

typedef struct BFSResponse
{
	string PersonID;
	string PersonFoundID;
	BFSReponseBase Base;

}BFSResponse;

typedef struct BFSAuthResponse
{
	string PersonID;
	string SessionKey;
	BFSReponseBase Base;

}BFSAuthResponse;

typedef struct BFSInfoResponse
{
	vector<string> RegisteredPersons;
	BFSReponseBase Base;
};

typedef struct AuthRequestInfo
{
	string PersonID; //Reserved for future versions
	string Password; //Reserved for future versions
	int ShowGUI; // FALSE if 0, TRUE otherwise
	int Timeout;

}AuthRequestInfo;




BFSAuthResponse CreateSession(AuthRequestInfo authRequestInfo);

BFSResponseBase EndSession(string sessionKey);

BFSResponse RegisterPerson(string sessionKey, string personID);

BFSResponse UnregisterPerson(string sessionKey, string personID);

BFSResponse Search();

BFSResponse SearchEx(string appToken, string personID, int showGUI, int timeout);

BFSResponse CancelSearch(string appToken);

BFSInfoResponse GetRegisteredPersons(int startIndex, int numberOfPersons);

#endif